Should run tests during build

Bug #1193370 reported by Michael Terry on 2013-06-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qt3d-opensource-src (Ubuntu)
Undecided
Unassigned
qtbase-opensource-src (Ubuntu)
Undecided
Unassigned
qtconnectivity-opensource-src (Ubuntu)
Undecided
Unassigned
qtdeclarative-opensource-src (Ubuntu)
Undecided
Unassigned
qtfeedback-opensource-src (Ubuntu)
Undecided
Unassigned
qtgraphicaleffects-opensource-src (Ubuntu)
Undecided
Unassigned
qtimageformats-opensource-src (Ubuntu)
Undecided
Unassigned
qtlocation-opensource-src (Ubuntu)
Undecided
Unassigned
qtmultimedia-opensource-src (Ubuntu)
Undecided
Unassigned
qtpim-opensource-src (Ubuntu)
Undecided
Unassigned
qtscript-opensource-src (Ubuntu)
Undecided
Unassigned
qtsensors-opensource-src (Ubuntu)
Undecided
Unassigned
qtsvg-opensource-src (Ubuntu)
Undecided
Unassigned
qtsystems-opensource-src (Ubuntu)
Undecided
Unassigned
qttools-opensource-src (Ubuntu)
Undecided
Unassigned
qtwebkit-opensource-src (Ubuntu)
Undecided
Unassigned
qtxmlpatterns-opensource-src (Ubuntu)
Undecided
Unassigned

Bug Description

Qt modules should run their tests during build. qtwebkit seems to have some under Tools/.

Timo Jyrinki (timo-jyrinki) wrote :
Changed in qtpim-opensource-src (Ubuntu):
status: New → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :
Changed in qtsensors-opensource-src (Ubuntu):
status: New → Fix Released
Changed in qtfeedback-opensource-src (Ubuntu):
status: New → Fix Released
Changed in qtsvg-opensource-src (Ubuntu):
status: New → Fix Released
Changed in qtxmlpatterns-opensource-src (Ubuntu):
status: New → Fix Committed
Changed in qtlocation-opensource-src (Ubuntu):
status: New → Fix Committed
Changed in qtmultimedia-opensource-src (Ubuntu):
status: New → Fix Committed
description: updated
Changed in qtdeclarative-opensource-src (Ubuntu):
status: New → Fix Committed
Changed in qtscript-opensource-src (Ubuntu):
status: New → Fix Committed
Changed in qt3d-opensource-src (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtdeclarative-opensource-src - 5.2.1-3ubuntu10

---------------
qtdeclarative-opensource-src (5.2.1-3ubuntu10) trusty; urgency=medium

  * debian/patches/Fix-crash-when-appending-arrays-to-sub-models-in-lis.patch
    - Backport from upstream https://codereview.qt-project.org/#change,80934
      (LP: #1291602)
 -- Timo Jyrinki <email address hidden> Fri, 14 Mar 2014 09:37:56 +0000

Changed in qtdeclarative-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qt3d-opensource-src - 5.0~git20130731-0ubuntu2

---------------
qt3d-opensource-src (5.0~git20130731-0ubuntu2) trusty; urgency=medium

  [ Timo Jyrinki ]
  * Rebuild against Qt 5.2.1, bump dependencies
  * Use QT_SELECT instead of depending on qt5-default
  * Use 'mkdir .git' to trigger header build for the snapshot release

  [ Allan LeSage ]
  * Add tests to QT_BUILD_PARTS. (LP: #1193370)
  * Depend on xvfb for existing tests requiring a display.
  * Add dh_override_auto_test to dh_auto_test under xvfb-run.
  * debian/patches/skip_failing_tests.patch
    - Skip some failing tests pending investigation.
  * Depend on xauth, needed in some configurations.
 -- Timo Jyrinki <email address hidden> Fri, 28 Feb 2014 09:00:49 +0000

Changed in qt3d-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtmultimedia-opensource-src - 5.2.1-0ubuntu1

---------------
qtmultimedia-opensource-src (5.2.1-0ubuntu1) trusty; urgency=low

  [ Omer Akram ]
  * Run unittests during build, disable flaky tests (LP: #1193370)

  [ Timo Jyrinki ]
  * New upstream release
  * Update *.install
  * Merge Debian packaging 5.2.0-1, remaining changes:
    - Keep omitting OpenAL from build-deps
    - Don't build Qt Audio Engine
    - Enable tests
  * Update symbols

qtmultimedia-opensource-src (5.2.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt 5 build-dependencies to 5.2.0.
  * Update qtmultimedia5-examples.install.
  * Make Vcs-Browser field canonical by dropping useless attribute.
  * Explicitly define DEB_HOST_MULTIARCH in debian/rules.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove new private stuff we are not shipping.
  * Adjust install files.
  * Update symbols files with current build log.
  * Regenerate the symbols that used to have the qreal subst.

qtmultimedia-opensource-src (5.1.1-2) unstable; urgency=low

  * Switch priority to optional. Hat tip to Dmitry Shachnev.
    - Switch the dbg package back to priority extra.

qtmultimedia-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Tighten Qt 5 build dependencies.

qtmultimedia-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Update symbols files.

qtmultimedia-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.

  [ Ricardo Salveti de Araujo ]
  * debian/control: adding missing dependencies for qtmultimedia5-examples.
    Forwarded to Debian by Dmitry Shachnev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files.
  * Fix watch file.
  * Bump build dependencies to 5.1.0~.
  * Remove package qtmultimedia5-private-dev. Nothing in the Qt stack seems to
    be using it. Can be reintroduced later if needed.
    - Remove associated install file.
    - Remove the files from debian/tmp before installing the packages.
  * Adjust install files.
 -- Timo Jyrinki <email address hidden> Fri, 28 Feb 2014 09:03:43 +0000

Changed in qtmultimedia-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

qtbase runs tests on amd64 i386 armhf

Changed in qtbase-opensource-src (Ubuntu):
status: New → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Reopening qtscript, Debian disabled the tests for it ("temporarily") and we got it via autosync.

Changed in qtscript-opensource-src (Ubuntu):
status: Fix Committed → Triaged
Changed in qtlocation-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
Changed in qtxmlpatterns-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
Changed in qtgraphicaleffects-opensource-src (Ubuntu):
status: New → Fix Released
Changed in qtsystems-opensource-src (Ubuntu):
status: New → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

qtscript is deprecated.

Changed in qtscript-opensource-src (Ubuntu):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers